package com.bonus.canteen.core.drp.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
@LeNiuDecryptDataProcess
public class DrpWarehousePageVO implements Serializable {
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库编号")
   private String warehouseNum;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("负责人编号")
   private Long userId;
   @ApiModelProperty("负责人用户名")
   private String username;
   @ApiModelProperty("负责人真实姓名")
   @LeNiuDecryptField
   private String realName;
   @ApiModelProperty("负责人电话号码")
   @LeNiuDecryptField
   private String phone;
   @ApiModelProperty("区域-省")
   private String regionProvince;
   @ApiModelProperty("区域-市")
   private String regionCity;
   @ApiModelProperty("区域-区")
   private String regionDistrict;
   @ApiModelProperty("详细地址")
   private String address;
   @ApiModelProperty("状态（1禁用，2正常）")
   private Integer status;
   @ApiModelProperty("仓库类别id")
   private Long typeId;
   @ApiModelProperty("仓库类别")
   private String typeName;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("仓库类型 1原料 2商品")
   private Integer warehouseType;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("领料人名称")
   @LeNiuDecryptField
   private String fetchUserName;
   @ApiModelProperty("档口绑定领料人信息")
   private List<DrpWarehouseFetchUserVO> fetchUserList;
   private List<DrpWarehousePageVO> drpWarehousePageVOList;
   @ApiModelProperty("父级ID")
   private Long parentId;
   @ApiModelProperty("食堂ID")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("领料人Id")
   private Long fetchUserId;

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseNum() {
      return this.warehouseNum;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public Long getUserId() {
      return this.userId;
   }

   public String getUsername() {
      return this.username;
   }

   public String getRealName() {
      return this.realName;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getRegionProvince() {
      return this.regionProvince;
   }

   public String getRegionCity() {
      return this.regionCity;
   }

   public String getRegionDistrict() {
      return this.regionDistrict;
   }

   public String getAddress() {
      return this.address;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getTypeId() {
      return this.typeId;
   }

   public String getTypeName() {
      return this.typeName;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getWarehouseType() {
      return this.warehouseType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getFetchUserName() {
      return this.fetchUserName;
   }

   public List<DrpWarehouseFetchUserVO> getFetchUserList() {
      return this.fetchUserList;
   }

   public List<DrpWarehousePageVO> getDrpWarehousePageVOList() {
      return this.drpWarehousePageVOList;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getFetchUserId() {
      return this.fetchUserId;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseNum(final String warehouseNum) {
      this.warehouseNum = warehouseNum;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setRealName(final String realName) {
      this.realName = realName;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setRegionProvince(final String regionProvince) {
      this.regionProvince = regionProvince;
   }

   public void setRegionCity(final String regionCity) {
      this.regionCity = regionCity;
   }

   public void setRegionDistrict(final String regionDistrict) {
      this.regionDistrict = regionDistrict;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setTypeId(final Long typeId) {
      this.typeId = typeId;
   }

   public void setTypeName(final String typeName) {
      this.typeName = typeName;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setWarehouseType(final Integer warehouseType) {
      this.warehouseType = warehouseType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setFetchUserName(final String fetchUserName) {
      this.fetchUserName = fetchUserName;
   }

   public void setFetchUserList(final List<DrpWarehouseFetchUserVO> fetchUserList) {
      this.fetchUserList = fetchUserList;
   }

   public void setDrpWarehousePageVOList(final List<DrpWarehousePageVO> drpWarehousePageVOList) {
      this.drpWarehousePageVOList = drpWarehousePageVOList;
   }

   public void setParentId(final Long parentId) {
      this.parentId = parentId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setFetchUserId(final Long fetchUserId) {
      this.fetchUserId = fetchUserId;
   }

}
